#ifndef __window_h
#define __window_h
#include "core/config.h"
#include <QCloseEvent>
#include <QMainWindow>
#include <QWidget>

class MainWindow : public QMainWindow {
		Q_OBJECT

	public:
		MainWindow(QWidget* parent = nullptr);
		void SetActivePage(QWidget* page);
		void closeEvent(QCloseEvent* event) override;

	private:
		QWidget* main_widget;
};

#endif // __window_h
